//
// this file contains shaders attached models
//

models/mapobjects/airengine
{
	{
		map textures/glass/cityglass.tga
		tcmod scroll 0.02 0
		tcGen environment
	}
	{
		map models/mapobjects/airengine.tga
		blendfunc blend
		rgbGen vertex 
	}
}

models/mapobjects/airengine2
{
	{
		map models/mapobjects/airengine.tga
		rgbGen vertex 
	}
}

models/mapobjects/electroengine
{
	{
		map textures/glass/cityglass.tga
		tcGen environment
		rgbGen vertex 
	}
}

models/mapobjects/bulbfront
{
surfaceparm trans
	{
		map models/mapobjects/bulbfront.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/bulbfront2
{
surfaceparm trans
	{
		map models/mapobjects/bulbfront2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/blueglass
{
surfaceparm trans
	{
		map models/mapobjects/blueglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/meat/eldereyes
{
surfaceparm trans
	{
		map textures/glass/lightglass.tga
		tcmod scroll 0.2 -0.5
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map models/mapobjects/meat/eldereyes.tga
		blendfunc blend
		rgbGen vertex
	}
}

models/mapobjects/meat/elderevil
{

	{
		map models/mapobjects/meat/elderevil.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/meat/elderhorns
{

	{
		map models/mapobjects/meat/elderhorns.tga
		rgbGen vertex
	}
}

models/mapobjects/redbulbfront
{
surfaceparm trans
	{
		map models/mapobjects/redbulbfront.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/bulbinside
{
surfaceparm nolightmap
surfaceparm trans
q3map_surfacelight 10000
cull none
	{
		map models/mapobjects/bulbinside.tga
		blendfunc blend
	}
}


models/mapobjects/crane
{
	{
		map models/mapobjects/crane.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/bearcat_shield
{
surfaceparm trans
cull none
	{
		map textures/glass/hangarglass.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
	{
		map models/mapobjects/vehicles/bearcat_shield.tga
		blendFunc blend
		rgbGen vertex 
	}
}

models/mapobjects/vehicles/shield2
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
cull none
	{
		map textures/glass/transglass.tga
		tcgen environment
		blendFunc add
	}
	{
		map models/mapobjects/vehicles/bearcat_shield.tga
		blendFunc blend
		depthWrite
		rgbGen lightingdiffuse
	}
}

models/mapobjects/vehicles/bearcat_body2
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
	{
		map models/mapobjects/vehicles/bearcat_body.tga
		rgbGen lightingdiffuse
	}
}

models/mapobjects/vehicles/bearcat_wings2
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
	{
		map models/mapobjects/vehicles/bearcat_wings.tga
		rgbGen lightingdiffuse
	}
}

models/mapobjects/vehicles/pilotsmall
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
	{
		map models/mapobjects/vehicles/pilotsmall.tga
		rgbGen lightingdiffuse
	}
}

models/mapobjects/vehicles/bearcat_fan
{
surfaceparm alphashadow
cull none
	{
		map models/mapobjects/vehicles/bearcat_fan.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/fan_on
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
cull none
	{
		map models/mapobjects/vehicles/fan_on.tga
		blendFunc blend
		rgbGen wave square 0 1 0 16
	}
}

models/mapobjects/vehicles/f_bearcat
{
deformVertexes move 0 0 .6  sin 0 10 0 0.3
sort additive
cull disable
	{
		map models/mapobjects/vehicles/f_bearcat.tga
		blendfunc add
		rgbGen wave square 0 1 0 14
	}
}

models/mapobjects/vehicles/b29_fan
{
surfaceparm alphashadow
cull none
	{
		map models/mapobjects/vehicles/b29_fan.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/truckfront
{
cull none
	{
		map models/mapobjects/vehicles/truckfront.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/outlampblend
{
surfaceparm nolightmap
	{
		map models/mapobjects/outlamp.tga
		blendFunc add
	}
}

models/mapobjects/lampbeam
{
surfaceparm trans	
surfaceparm nomarks	
surfaceparm nonsolid
surfaceparm nolightmap
cull none
	{
		map models/mapobjects/lampbeam.tga
		tcMod Scroll .2 0
		blendFunc add
	}
}

models/mapobjects/lampbeam2
{
surfaceparm trans	
surfaceparm nomarks	
surfaceparm nonsolid
surfaceparm nolightmap
cull none
	{
		map models/mapobjects/lampbeam2.tga
		tcMod Scroll .1 0
		blendFunc add
	}
}

models/mapobjects/cavecaliz
{
surfaceparm alphashadow
cull none
	{
		map models/mapobjects/cavecaliz.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/ht_body
{
cull none
	{
		map models/mapobjects/vehicles/ht_body.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/ht_wheels
{
cull none
	{
		map models/mapobjects/vehicles/ht_wheels.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/vehicles/ht_launcher
{
cull none
	{
		map models/mapobjects/vehicles/ht_launcher.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/stadiumlamp
{
	{
		map models/mapobjects/stadiumlamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/stadiumblend
{
surfaceparm trans
	{
		map models/mapobjects/stadiumlamp.tga
		blendFunc add
	}
}

models/mapobjects/spotbulb
{
surfaceparm nolightmap
	{
		map models/mapobjects/spotbulb.tga
		blendFunc add
	}
}

models/mapobjects/sl_arc
{
surfaceparm trans
cull none
	{
		map models/mapobjects/sl_arc.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/sl_end
{
surfaceparm trans
	{
		map models/mapobjects/sl_end.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/campfire
{
	{
		map models/mapobjects/campfire.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/campfireglow.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.5 0.08
	}
}

models/mapobjects/oldlamp
{
	{
		map textures/glass/lightglass.tga
		tcgen environment
		blendFunc blend
	}
	{
		map models/mapobjects/oldlamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/burner
{
surfaceparm trans
	{
		map models/mapobjects/burner.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/lampbflame
{
surfaceparm nolightmap
surfaceparm trans
q3map_surfacelight 100000
	{
		map models/mapobjects/lampbflame.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

models/mapobjects/worklamp
{
surfaceparm trans
	{
		map models/mapobjects/worklamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/copper
{
	{
		map models/mapobjects/copper.tga
		tcGen environment
		tcmod scroll 0.1 0
		rgbGen vertex
	}
}

models/mapobjects/copper2
{
	{
		map models/mapobjects/copper.tga
		tcGen environment
		rgbGen vertex
	}
}

models/mapobjects/copper3
{
cull none
	{
		map models/mapobjects/copper.tga
		tcGen environment
		rgbGen vertex
	}
}

textures/acefx/smallflame
{
surfaceparm nomarks
surfaceparm nolightmap
q3map_surfacelight 40000
	{
		animMap 10 textures/acefx/smallflame1.tga textures/acefx/smallflame2.tga textures/acefx/smallflame3.tga textures/acefx/smallflame4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/acefx/smallflame2.tga textures/acefx/smallflame3.tga textures/acefx/smallflame4.tga textures/acefx/smallflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
}

textures/acefx/tflame
{
qer_editorimage textures/acefx/tflame1.tga
surfaceparm nomarks
surfaceparm nolightmap
surfaceparm trans
surfaceparm nonsolid
surfaceparm noimpact
cull none
	{
		animMap 10 textures/acefx/tflame1.tga textures/acefx/tflame2.tga textures/acefx/tflame3.tga textures/acefx/tflame4.tga textures/acefx/tflame5.tga textures/acefx/tflame6.tga textures/acefx/tflame7.tga textures/acefx/tflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/acefx/tflame2.tga textures/acefx/tflame3.tga textures/acefx/tflame4.tga textures/acefx/tflame5.tga textures/acefx/tflame6.tga textures/acefx/tflame7.tga textures/acefx/tflame8.tga textures/acefx/tflame1.tga 		
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
}

models/mapobjects/meat/meathead
{
	{
		map models/mapobjects/meat/meathead.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/scalemodel
{
surfaceparm trans
	{
		map models/mapobjects/scalemodel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/fluorbulb
{
surfaceparm nolightmap
surfaceparm trans
q3map_surfacelight 10000
	{
		map models/mapobjects/fluorbulb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

models/mapobjects/fluorbulb2
{
surfaceparm nolightmap
surfaceparm trans
q3map_surfacelight 3000
	{
		map models/mapobjects/fluorbulb.tga
//		blendFunc blend
//		rgbGen vertex
	}
}

models/mapobjects/hugeglass
{
surfaceparm trans
q3map_surfacelight 10000
	{
		map textures/glass/lightglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map models/mapobjects/hugeglass.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/hugebulb
{
cull none
	{
		map models/mapobjects/hugebulb.tga
		rgbGen vertex 
	}
}

models/mapobjects/toolbox
{
	{
		map models/mapobjects/toolbox.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/floorlamp
{
surfaceparm alphashadow
	{
		map models/mapobjects/floorlamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/lampscreen
{
cull none
	{
		map models/mapobjects/lampscreen.tga
		blendFunc blend
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/meat/oldman_legs
{
	{
		map models/mapobjects/meat/oldman_legs.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/acefx/candleflame
{
surfaceparm nomarks
surfaceparm nolightmap
q3map_surfacelight 5000
	{
		animMap 10 textures/acefx/candleflame1.tga textures/acefx/candleflame2.tga textures/acefx/candleflame3.tga textures/acefx/candleflame4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/acefx/candleflame2.tga textures/acefx/candleflame3.tga textures/acefx/candleflame4.tga textures/acefx/candleflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
}

models/mapobjects/bluelamp
{
cull none
	{
		map models/mapobjects/bluelamp.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ONE
	}
}

models/mapobjects/clothes
{
surfaceparm trans
	{
		map models/mapobjects/clothes.tga
	}
}

models/mapobjects/basket
{
surfaceparm alphashadow
cull none
	{
		map models/mapobjects/basket.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/valve
{
cull none
	{
		map models/mapobjects/valve.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/lampbars2
{
surfaceparm trans
cull none
	{
		map models/mapobjects/lampbars2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/workbulb2
{
surfaceparm trans
q3map_surfacelight 12000
	{
		map models/mapobjects/workbulb2.tga
	}
}

models/mapobjects/workbulb2_off
{
surfaceparm trans
	{
		map models/mapobjects/workbulb2.tga
		rgbGen vertex
	}
}

models/mapobjects/worklamp2
{
surfaceparm trans
	{
		map models/mapobjects/worklamp2.tga
		rgbGen vertex
	}
}

models/mapobjects/meat/head_lung
{
surfaceparm trans
	{
		map textures/water/slime.tga
		tcmod scroll 0 0.08
		blendFunc add
	}
	{
		map models/mapobjects/meat/head_lung.tga
		rgbGen vertex 
		blendfunc blend
		depthWrite
	}
}

models/mapobjects/meat/head_lung2
{
surfaceparm trans
	{
		map textures/water/slime.tga
		tcmod scroll -0.04 0
		blendFunc add
	}
	{
		map models/mapobjects/meat/head_lung.tga
		rgbGen vertex 
		blendfunc blend
	}
}

models/mapobjects/meat/floating_head
{
surfaceparm trans
deformVertexes move 0 0 .3  sin 0 5 0 0.2
	{
		map models/mapobjects/meat/floating_head.tga
		rgbGen lightingdiffuse
	}
}

models/mapobjects/typewriter
{
	{
		map models/mapobjects/typewriter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/candle
{
	{
		map models/mapobjects/candle.tga
	}
}

models/mapobjects/redlamp
{
	q3map_surfacelight 5000
	{
		map models/mapobjects/redlamp.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/redlampblend.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/redlamp_b
{
	q3map_surfacelight 3000
	{
		map models/mapobjects/redlamp.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/redlampblend2.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/lightpost_bulb
{
	q3map_surfacelight 5000
	{
		map models/mapobjects/lightpost_bulb.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/meat/bloodsplat
{
	{
		clampmap models/mapobjects/meat/bloodsplat.tga
		blendFunc blend
		depthWrite
		rgbGen lightingdiffuse
	}
}

models/mapobjects/meat/dl_body
{
	{
       	map models/mapobjects/meat/dl_body.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/meat/dl_body2
{
	{
       	map models/mapobjects/meat/dl_body.tga
		alphaFunc GE128
		depthWrite
		rgbGen lightingdiffuse
	}      
}

models/mapobjects/meat/dl_head
{
	{
        	map models/mapobjects/meat/dl_head.tga
		alphaFunc GE128
		depthWrite
		rgbGen lightingdiffuse
	}      
}

models/mapobjects/meat/dl_dead
{
	{
        	map models/mapobjects/meat/dl_dead.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/meat/dl_vomit
{
	{
        	map models/mapobjects/meat/dl_vomit.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/darkplane
{
surfaceparm trans
surfaceparm	nolightmap
	{
		map models/mapobjects/darkplane.tga
		rgbGen identity
		blendfunc blend
		rgbGen lightingdiffuse
	}
}

models/mapobjects/meat/whale
{
deformVertexes move 0 0 .6  sin 0 5 0 0.2
	{
		map models/mapobjects/meat/whale.tga
		alphaFunc GE128
		depthWrite
		rgbGen lightingdiffuse
	}
}

models/mapobjects/meat/rib_corpse
{
	{
        	map models/mapobjects/meat/rib_corpse.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/tree1
{
	{
        	map models/mapobjects/tree1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/branches
{
surfaceparm trans
	{
        	map models/mapobjects/branches.tga
		rgbGen vertex
	}      
}

models/mapobjects/branches2
{
cull none
surfaceparm trans
	{
        	map models/mapobjects/branches.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}      
}

models/mapobjects/vehicles/tractorbody
{
	{
		map textures/glass/tractorglass.tga
		tcGen environment
	}
	{
		map models/mapobjects/vehicles/tractorbody.tga
		blendFunc blend
		rgbGen vertex
	}
}

models/mapobjects/key
{
	{
		map models/weapons2/mg42/bullet.tga
		tcGen environment
		rgbGen lightingdiffuse
	}
}

models/mapobjects/weed
{
cull none
surfaceparm trans
	{
		map models/mapobjects/weed.tga
		blendFunc blend
		rgbGen vertex 
	}
}

models/mapobjects/leaves
{
cull none
surfaceparm trans
	{
		map models/mapobjects/leaves.tga
		alphaFunc GE128
		rgbGen vertex 
	}
}

models/mapobjects/cavelamp
{
surfaceparm trans
	{
		map textures/caves/lava.tga
		tcmod scroll 0.02 0.02
		rgbGen identity
	}
	{
		map textures/caves/lava.tga
		blendFunc add
		rgbGen identity
	}
	{
		map models/mapobjects/cavelamp.tga
		blendFunc blend
		rgbGen vertex
	}
}

models/mapobjects/portalflash1
{
sort additive
cull disable
	{
		map models/mapobjects/portalflash1.tga
		tcMod scroll 1 0
		blendfunc add
	}
	{
		map models/mapobjects/portalflash1.tga
		tcMod scroll -0.5 0
		blendfunc add
	}
}

models/mapobjects/portalflash2
{
cull disable
	{
		map models/mapobjects/portalflash3.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 2.2 1.3
		rgbGen wave inversesawtooth -.3 1.3 0 1.3 
	}
	{    
		map models/mapobjects/portalflash2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -1 .5
		rgbGen wave inversesawtooth -.2 1.2 0 .5
	}
}

models/mapobjects/newspaper
{
cull none
	{
		map models/mapobjects/newspaper.tga
		rgbGen lightingdiffuse
	}
}

models/mapobjects/meat/symbol2
{
sort additive
	{
		map models/mapobjects/meat/symbol2.tga
		blendfunc blend
		rgbGen wave square -.3 1.3 0 15
	}
}